Index: wsdl/fedd_types.xsd
===================================================================
--- wsdl/fedd_types.xsd	(revision e83f2f2a321f4a61b9dc5a7671bb03b4a6267b72)
+++ wsdl/fedd_types.xsd	(revision f37e9bf901a44a31dd31968c1aafbf084a3f5c81)
@@ -43,4 +43,19 @@
   </xsd:complexType>
 
+  <xsd:complexType name="projectAllocType">
+    <xsd:annotation>
+      <xsd:documentation>
+	The information needed to create a dynamic project, specifically
+	a project description and the resources in needs access to.
+	This is used by an internal fedd interface.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="project" type="tns:projectType"/>
+      <xsd:element name="resources" type="tns:resourcesType" 
+	minOccurs="0" maxOccurs="1"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
   <xsd:complexType name="nodeType">
     <xsd:annotation>
@@ -156,4 +171,5 @@
       <xsd:enumeration value="empty"/>
       <xsd:enumeration value="active"/>
+      <xsd:enumeration value="inactive"/>
       <xsd:enumeration value="starting"/>
       <xsd:enumeration value="terminating"/>
@@ -306,19 +322,4 @@
       <xsd:element name="node" type="tns:visnodeType" minOccurs="0"
 	maxOccurs="unbounded"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
-  <xsd:complexType name="projectAllocType">
-    <xsd:annotation>
-      <xsd:documentation>
-	The information needed to create a dynamic project, specifically
-	a project description and the resources in needs access to.
-	This is used by an internal fedd interface.
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="project" type="tns:projectType"/>
-      <xsd:element name="resources" type="tns:resourcesType" 
-	minOccurs="0" maxOccurs="1"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -676,40 +677,4 @@
   </xsd:complexType>
 
-  <!-- This needs to go away as well.  It's only part of an infoResponseType,
-  which needs to be reworked overall -->
-  <xsd:complexType name="federatedExperimentType">
-    <xsd:annotation>
-      <xsd:documentation>
-	Naming and Emulab instantiation information about a federant.
-	This is returned by various informational requests and as part
-	of a successful creation message.
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="name" type="tns:IDType" minOccurs="1" 
-	maxOccurs="unbounded"/>
-      <xsd:element name="proof" type="tns:proofType" minOccurs="1" 
-	maxOccurs="unbounded"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
-  <!-- end go away -->
-
-  <xsd:complexType name="embeddingMapType">
-    <xsd:annotation>
-      <xsd:documentation>
-	A mapping between a name in the topology and the physical resource to
-	which it has been mapped.
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="toponame" type="xsd:string"/>
-      <xsd:element name="physname" type="xsd:string" minOccurs="0" 
-	maxOccurs="unbounded"/>
-      <xsd:element name="testbed" type="xsd:string" minOccurs="0" 
-	maxOccurs="1"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
   <xsd:complexType name="infoResponseType">
     <xsd:annotation>
@@ -726,6 +691,4 @@
     </xsd:annotation>
     <xsd:sequence>
-      <xsd:element name="federant" type="tns:federatedExperimentType" 
-        minOccurs="0" maxOccurs="unbounded"/>
       <xsd:element name="vtopo" type="tns:vtopoType" minOccurs="0"
 	maxOccurs="1"/>
@@ -741,6 +704,4 @@
       <xsd:element name="experimentdescription" 
 	type="tns:experimentDescriptionType" minOccurs="0" maxOccurs="1"/>
-      <xsd:element name="embedding" type="tns:embeddingMapType" minOccurs="0"
-	maxOccurs="unbounded"/>
       <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
@@ -829,6 +790,4 @@
       <xsd:element name="segmentdescription" 
 	type="tns:experimentDescriptionType"/>
-      <xsd:element name="embedding" type="tns:embeddingMapType" minOccurs="0"
-	maxOccurs="unbounded"/>
       <xsd:element name="fedAttr" type="tns:fedAttrType" minOccurs="0"
 	maxOccurs="unbounded"/>
